package com.microservices.dss.projects.domain.vo;


import com.microservices.dss.projects.domain.PieChartNameAndValue;

import java.util.List;

//1.总项目数，总成员数，
//2.新增项目数，新增成员数，新增代码提交次数，任务完成量
public class GlobalResourcesDataVo {

    private int totalProjects;
    private int totalMembers;
    private int totalCommits;
    private int totalPullRequest;
    private int[] newAddedProjects;
    private int[] newAddedMembers;
    private int[] newCodeSubmissionTimes;
    private int[] newPullRequestTimes;
    private int[] newCommentTimes;
    private int[] taskCompletion;
    private int[] activeProjects;
    private int[] activeUsers;
    private String[] weeklyDates;

    private List<PieChartNameAndValue> programLanguagePieChart;

    private List<PieChartNameAndValue> projectCategoryPieChart;

    public int getTotalProjects() {
        return totalProjects;
    }

    public void setTotalProjects(int totalProjects) {
        this.totalProjects = totalProjects;
    }

    public int getTotalMembers() {
        return totalMembers;
    }

    public void setTotalMembers(int totalMembers) {
        this.totalMembers = totalMembers;
    }

    public int getTotalCommits() {
        return totalCommits;
    }

    public void setTotalCommits(int totalCommits) {
        this.totalCommits = totalCommits;
    }

    public int getTotalPullRequest() {
        return totalPullRequest;
    }

    public void setTotalPullRequest(int totalPullRequest) {
        this.totalPullRequest = totalPullRequest;
    }

    public int[] getNewAddedProjects() {
        return newAddedProjects;
    }

    public void setNewAddedProjects(int[] newAddedProjects) {
        this.newAddedProjects = newAddedProjects;
    }

    public int[] getNewAddedMembers() {
        return newAddedMembers;
    }

    public void setNewAddedMembers(int[] newAddedMembers) {
        this.newAddedMembers = newAddedMembers;
    }

    public int[] getNewCodeSubmissionTimes() {
        return newCodeSubmissionTimes;
    }

    public void setNewCodeSubmissionTimes(int[] newCodeSubmissionTimes) {
        this.newCodeSubmissionTimes = newCodeSubmissionTimes;
    }

    public int[] getNewPullRequestTimes() {
        return newPullRequestTimes;
    }

    public void setNewPullRequestTimes(int[] newPullRequestTimes) {
        this.newPullRequestTimes = newPullRequestTimes;
    }

    public int[] getNewCommentTimes() {
        return newCommentTimes;
    }

    public void setNewCommentTimes(int[] newCommentTimes) {
        this.newCommentTimes = newCommentTimes;
    }

    public int[] getTaskCompletion() {
        return taskCompletion;
    }

    public void setTaskCompletion(int[] taskCompletion) {
        this.taskCompletion = taskCompletion;
    }

    public int[] getActiveProjects() {
        return activeProjects;
    }

    public void setActiveProjects(int[] activeProjects) {
        this.activeProjects = activeProjects;
    }

    public int[] getActiveUsers() {
        return activeUsers;
    }

    public void setActiveUsers(int[] activeUsers) {
        this.activeUsers = activeUsers;
    }

    public String[] getWeeklyDates() {
        return weeklyDates;
    }

    public void setWeeklyDates(String[] weeklyDates) {
        this.weeklyDates = weeklyDates;
    }

    public List<PieChartNameAndValue> getProgramLanguagePieChart() {
        return programLanguagePieChart;
    }

    public void setProgramLanguagePieChart(List<PieChartNameAndValue> programLanguagePieChart) {
        this.programLanguagePieChart = programLanguagePieChart;
    }

    public List<PieChartNameAndValue> getProjectCategoryPieChart() {
        return projectCategoryPieChart;
    }

    public void setProjectCategoryPieChart(List<PieChartNameAndValue> projectCategoryPieChart) {
        this.projectCategoryPieChart = projectCategoryPieChart;
    }
}
